#ifndef __FONT_WRITER_HPP__
#define __FONT_WRITER_HPP__
#include <PSX/GPU/gpu_types.hpp>
#include <stdint.h>

namespace FontWriter {
    using Position = JabyEngine::GPU::PositionI16;

    static constexpr auto TextBufferSize = 1024;

    void setup();

    Position write(Position pos, const char* text);
    void     render();
}

#endif //!__FONT_WRITER_HPP__